import { Client, ClientOptions } from 'discord.js';
import { CommandRegistry } from '../command/CommandRegistry';
import { EventRegistry } from '../event/EventRegistry';
interface ISilentClientConfig {
    token: string;
    prefix: string;
    owner: string;
    commandDir: string;
    eventDir: string;
    notFoundError: string;
    baseDir?: string;
    base?: boolean;
}
export declare class SilentClient extends Client {
    readonly owner: string;
    commands: CommandRegistry<SilentClient>;
    events: EventRegistry<SilentClient>;
    readonly baseDir: string;
    readonly prefix: string;
    private readonly _token;
    private readonly _commandLoader;
    private readonly _eventLoader;
    private readonly commandDir;
    private readonly eventDir;
    private readonly ownerID;
    private readonly notFoundError?;
    private readonly base;
    constructor(config: ISilentClientConfig, clientConfig?: ClientOptions);
    start(): SilentClient;
    private messageHandle;
}
export {};
