import { Message, Snowflake } from 'discord.js';
import { SilentClient } from '../client/SilentClient';
export declare abstract class Command {
    restricted: Array<{
        type: 'role' | 'user';
        id: Snowflake;
    }>;
    guildOnly: boolean;
    ownerOnly: boolean;
    desc: string;
    name: string;
    usage: string;
    nsfw: boolean;
    aliases: string[];
    hidden: boolean;
    dmOnly: boolean;
    protected _client: SilentClient;
    private initiated;
    protected constructor();
    _init(client: SilentClient): void;
    abstract run(msg: Message, args: string[]): void;
}
