"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const discord_js_1 = require("discord.js");
const format_1 = require("../format");
class DetailedHelpEmbed extends discord_js_1.RichEmbed {
    constructor(name, aliases, desc, usage, nsfw, guildOnly, restricted, ownerOnly, client, command) {
        super();
        this.title = `Help - ${command || 'All'}`;
        this.fields = [
            {
                name: 'Command Name',
                value: name,
                inline: true
            },
            {
                name: 'Aliases',
                value: aliases.join(', '),
                inline: true
            },
            {
                name: 'NSFW Command',
                value: nsfw ? 'Yes' : 'No',
                inline: true
            },
            {
                name: 'Description',
                value: desc,
                inline: true
            },
            {
                name: 'Usage',
                value: format_1.format(usage, client.prefix, 'prefix'),
                inline: true
            },
            {
                name: 'Guild & Owner Only',
                value: `${guildOnly ? '`Guild Only`' : ''} ${ownerOnly ? '`Owner Only`' : ''}`,
                inline: true
            },
            {
                name: 'Restricted Usage',
                value: restricted.map(value => value.type === 'role' ?
                    `<@&${value.id}>` : `<@${value.id}>`).join(' ') || 'No Restriction',
                inline: true
            }
        ];
        this.footer = { text: 'Automatically generated.' };
        this.timestamp = new Date();
        this.color = 4702164;
        return this;
    }
}
exports.DetailedHelpEmbed = DetailedHelpEmbed;
//# sourceMappingURL=DetailedHelpEmbed.js.map